Litecoin installation on Ubuntu issues

litecoin

#1

Hi Im trying to install litecoin when I run ./autogen.sh in the /litecoin/src# directory I get -bash: ./autogen.sh: No such file or directory. Had to do so as running “make -j4 -f makefile.unix USE_UPNP=” failed. How do I proceeed with the install and from which directory can I run basic cli tests thanks


#2

all you should have to do is download and run ./autogen.sh type ls in the location you extracted it to and make sure autogen.sh is located there and if it is and you still get the error type sudo bash autogen.sh or just autogen,sh with out the ./
then
make install
this will install it in the same folder usually have to cd to bin folder and find the ./litecoin-qt to run


#3

Thanks I ended up with .litecoin as I was after the cli


#4

This is what I did in order to make but for reason it is now running:

  1. sudo apt-get install autoconf
  2. ./autogen.sh
  3. Then tried ./configure and getting error.
  4. Also tried this…/configure.ac:and got this…
    line 1: syntax error near unexpected token (' ./configure.ac: line 1:dnl require autoconf 2.60 (AS_ECHO/AS_ECHO_N)’

Any help will be appreciated. I am trying to use the latest Litecoin and fork. Thanks


#5

why are you running configure? there is nothing to configure unless you want to connect your miner
just run autogen.sh then sudo make install and run it by typing ./litecoin-qt


#6

I am creating a new fork and create a new coin with a new name. No miner involved yet. This is what I get…after running the one you mentioned…
make: *** No rule to make target ‘install’. Stop.


#7

where is the bitcoin-qt.pro that used to be there? Was it changed to a different name? Thanks


#8

try the dependencies on this page and instlall all of them including autoconf

but of course use the version you already have installed

also may try
echo autoconf
or
echo autoconf configure
I honestly don’t know exactly but that link got litecoin working on Ubuntu for me


#9

I think I know what it is…there is no configuration file included in litecoin when you download it…so you need to create a .conf file…( mkdir litecoin.conf or cd to litecoin appdata folder in root and mkdir configure) (may be able to just mkdir configure in the folder you extracted litecoin to)
not quite sure about how to do it in Linux but in windows I create a .conf file and place the following in it:
server=1
rpcuser=(user name or address mining to)
rpcpassword=x
rpcallowip=127.0.0.1
rpcport=9333
port=9332
gen=1

the deamon=1 does not work with the new version anymore I recently learned


#10

Thank you so much. Now I got this…

configure: error: libdb_cxx headers missing, bitsend Core requires this library for wallet functionality (–disable-wallet to disable wallet functionality)


#11

yeah …start litecoin with -disablewallet flag is what its saying becaue your missing the block headers (only do this if your not trying to sync the chain)…
to get the headers you need to start with -reindex -rescan from command prompt


#12

Thanks a lot but I am trying to create a new genesis block.